#!/bin/dash

# entry point 
# return 0 on success
# return 1 if modprobe helper does not apply
main() {

   /sbin/modprobe -b -q -- "$VDEV_OS_MODALIAS"

   return 0
}

if [ "${VDEV_DAEMONLET:-0}" -eq 0 ]; then 
   main 
   exit $?
fi
